Limit deleted rows

- « TableDelete::execute

- TableDelete::orderby »

- PHP Manual
- mysql_xdevapi\TableDelete
- Limit deleted rows

# TableDelete::limit

(No version information available, might only be in Git)

TableDelete::limit — Limit deleted rows

### Description

public mysql_xdevapi\TableDelete::limit(int `$rows`): mysql_xdevapi\TableDelete

Sets the maximum number of records or documents to delete.

### Parameters

`rows`

  The maximum number of records or documents to delete.

### Return Values

TableDelete object.

### Examples

Example #1 mysql_xdevapi\TableDelete::limit() example

    <?php$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();$session->sql("CREATE DATABASE addressbook")->execute();$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();$schema = $session->getSchema("addressbook");$table  = $schema->getTable("names");$table->delete()  ->where("name = :name")  ->bind(['name' => 'John'])  ->orderby("age DESC")  ->limit(1)  ->execute();?>